Index: /gs3-extensions/iiif-servlet/trunk/src/gsdl-src/java/org/greenstone/gsdl3/IIIFServerBridge.java
===================================================================
--- /gs3-extensions/iiif-servlet/trunk/src/gsdl-src/java/org/greenstone/gsdl3/IIIFServerBridge.java	(revision 32890)
+++ /gs3-extensions/iiif-servlet/trunk/src/gsdl-src/java/org/greenstone/gsdl3/IIIFServerBridge.java	(revision 32891)
@@ -171,5 +171,5 @@
 		Document response_doc = XMLConverter.newDOM();
 		//Element xml_response = IIIFXML.createBasicResponse(response_doc, verb, pairs);
-		Element verb_elem = null;
+		//Element verb_elem = null;
 		
 		// compose the request message to the receptionist
@@ -185,6 +185,6 @@
 		if (xml_result == null)
 		{
-			logger.info("xml_result is null");
-			verb_elem = IIIFXML.createErrorElement(response_doc, "Internal error", "");
+			logger.error("xml_result is null");
+			//verb_elem = IIIFXML.createErrorElement(response_doc, "Internal error", "");
 			//xml_response.appendChild(verb_elem);
 		}
@@ -199,19 +199,31 @@
 			if (res == null)
 			{
-			    logger.info("response element in xml_result is null");
-			    verb_elem = IIIFXML.createErrorElement(response_doc, "Internal error", "");
+			    logger.error("response element in xml_result is null");
+			    //verb_elem = IIIFXML.createErrorElement(response_doc, "Internal error", "");
 			}
 			else {
-			    verb_elem = GSXML.getFirstElementChild(res); // GetRecord
+			    Element verb_elem = GSXML.getFirstElementChild(res); // GetRecord
 			    Node record_node = GSXML.getFirstElementChild(verb_elem); // record
 			    Element metadata_list_elem = (Element)GSXML.getChildByTagName(record_node,"metadata"); // metadata
 
 			    Element assocfilepath_metadata_elem = (Element)GSXML.getChildByTagName(metadata_list_elem,"assocfilepath");
-			    String assocfilepath_metadata_val = GSXML.getNodeText(assocfilepath_metadata_elem);
-
-			    Element image_metadata_elem = (Element)GSXML.getChildByTagName(metadata_list_elem,"Image");
-			    String image_metadata_val = GSXML.getNodeText(image_metadata_elem);
-
-			    result = assocfilepath_metadata_val + "/" + image_metadata_val;
+
+			    if (assocfilepath_metadata_elem == null) {
+				logger.error("Failed to find metadata 'assocfilepath' for Document " + identifier);
+				//verb_elem = IIIFXML.createErrorElement(response_doc, "Internal error", "");
+			    }
+			    else {
+				String assocfilepath_metadata_val = GSXML.getNodeText(assocfilepath_metadata_elem);
+
+				Element image_metadata_elem = (Element)GSXML.getChildByTagName(metadata_list_elem,"Image");
+				if (assocfilepath_metadata_elem == null) {
+				    logger.error("Failed to find metadata 'Image' for Document " + identifier);
+				}
+				else {
+				    String image_metadata_val = GSXML.getNodeText(image_metadata_elem);
+
+				    result = assocfilepath_metadata_val + "/" + image_metadata_val;
+				}
+			    }
 			}
 
Index: /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/GSInformationResource.java
===================================================================
--- /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/GSInformationResource.java	(revision 32890)
+++ /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/GSInformationResource.java	(revision 32891)
@@ -91,32 +91,4 @@
 	final Identifier identifier_image = IdentifierToGSAssocfile.createIdentifierImage(identifier);
 	final Source source = new SourceFactory().newSource(identifier_image, getDelegateProxy());
-	/*
-	String identifier_str = identifier.toString();
-	String[] strs = identifier_str.split(":", 3);
-	if(strs == null || strs.length < 3) {
-	    System.err.println("identifier is not in the form site:coll:id" + identifier_str);
-	    return null;
-	}    
-	String site_name = strs[0];
-	String coll_name = strs[1];
-	String doc_id = strs[2];
-
-	// Move into Constructor, ,and keep hashmap ???
-	IIIFServerBridge gs_iiif_bridge = new IIIFServerBridge();
-	gs_iiif_bridge.init(site_name);
-	String collect_image_filename = gs_iiif_bridge.doGetDocumentMessage(coll_name + ":" + doc_id);
-	String site_image_filename = site_name + "/collect/" + coll_name + "/index/assoc/" + collect_image_filename;
-	
-	//System.err.println("**** gs_message = " + XMLConverter.getPrettyString(gs_message_elem));
-	System.err.println("**** Greenstone site image filename = " + site_image_filename);
-
-	final Identifier identifier_image = new Identifier(site_image_filename);
-
-        //final Source source = new SourceFactory().newSource(identifier, getDelegateProxy());
-	final Source source = new SourceFactory().newSource(identifier_image, getDelegateProxy());
-		
-	System.err.println("***** identifier_image = " + identifier_image);
-	System.err.println("***** source path = " + ((edu.illinois.library.cantaloupe.source.FileSource)source).getPath());
-	*/
 	
         // If we are resolving first, or if the source image is not present in
Index: /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/IdentifierToGSAssocfile.java
===================================================================
--- /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/IdentifierToGSAssocfile.java	(revision 32890)
+++ /gs3-extensions/iiif-servlet/trunk/src/src/main/java/edu/illinois/library/cantaloupe/resource/iiif/v2/IdentifierToGSAssocfile.java	(revision 32891)
@@ -43,4 +43,6 @@
     public static Identifier createIdentifierImage(Identifier identifier) throws Exception
     {
+	Identifier identifier_image = null;
+
 	String identifier_str = identifier.toString();
 	String[] strs = identifier_str.split(":", 3);
@@ -59,10 +61,10 @@
 	
 	String collect_image_filename = gs_iiif_bridge.doGetDocumentMessage(coll_name + ":" + doc_id);
-	String site_image_filename = site_name + "/collect/" + coll_name + "/index/assoc/" + collect_image_filename;
-	
-	//System.err.println("**** Greenstone site image filename = " + site_image_filename);
 
-	final Identifier identifier_image = new Identifier(site_image_filename);
-	//System.err.println("***** identifier_image = " + identifier_image);
+	if (collect_image_filename != null) {
+	    String site_image_filename = site_name + "/collect/" + coll_name + "/index/assoc/" + collect_image_filename;
+
+	    identifier_image = new Identifier(site_image_filename);
+	}
 
 