Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32897)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 32898)
@@ -1914,5 +1914,5 @@
 </Heading>
 <Comment>
-<Text id="0457a">Next we'll add an interactive hierarchical phrase browsing classifier to this collection. Java applet support has been phased out in various browsers and browser versions. As a result the following will not work on <Link url="https://stackoverflow.com/questions/31816839/how-do-i-enable-java-in-microsoft-edge-web-browser">Microsoft Edge</Link> browsers, among others.</Text>
+<Text id="0457a">Next we'll add an interactive hierarchical phrase browsing classifier to this collection. Java applet support is being or has been phased out in various browsers and browser versions. As a result the following will not work on <Link url="https://stackoverflow.com/questions/31816839/how-do-i-enable-java-in-microsoft-edge-web-browser">Microsoft Edge</Link> browsers, among others.</Text>
 </Comment>
 <NumberedItem>
@@ -1972,5 +1972,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel. Expand teh top panel to be able to see the options for collection building. Scroll to view them all, then select <AutoText text="Import Options"/> on the left and view the options that are then displayed to the right. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. (When in GLI's <AutoText key="glidict::Preferences.Mode.Expert"/> Mode, the <AutoText text="maxdocs"/> option for the import process are located under the <AutoText text="Import Options"/> of the <AutoText key="glidict::GUI.Create"/> panel.) Now <b>build</b>.</Text>
+<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel. Expand the top panel to be able to see the options for collection building. Scroll to view them all, then select <AutoText text="Import Options"/> on the left and view the options that are then displayed to the right. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. (When in GLI's <AutoText key="glidict::Preferences.Mode.Expert"/> Mode, the <AutoText text="maxdocs"/> option for the import process are located under the <AutoText text="Import Options"/> of the <AutoText key="glidict::GUI.Create"/> panel.) Now <b>build</b>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2272,10 +2272,13 @@
   &lt;gsf:template match="classifierNode[@classifierStyle = 'VList']"&gt;<br/>
     <Tab n="1"/>&lt;td valign="top"&gt;<br/>
-      <Tab n="2"/>&lt;gsf:link type="classifier"&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link style="static" type="classifier"&gt;<br/>
         <Tab n="3"/>&lt;gsf:icon type="classifier"/&gt;<br/>
       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
     <Tab n="1"/>&lt;/td&gt;<br/>
     <Tab n="1"/>&lt;td valign="top"&gt;<br/>
-   <Tab n="2"/><highlight>&lt;b&gt;Bookshelf title:&lt;/b&gt;</highlight>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+      <Tab n="2"/><highlight>&lt;b&gt;Bookshelf title:&lt;/b&gt;</highlight><br />
+      <Tab n="2"/>&lt;gsf:link type="classifier"&gt;<br/>
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
     <Tab n="1"/>&lt;/td&gt;<br/>
   &lt;/gsf:template&gt;<br/>
@@ -2298,5 +2301,5 @@
 <Content>
 <NumberedItem>
-<Text id="st-1a">In a browser, visit the Greenstone demo collection and have a look at it. Browse to one of the documents. This collection is based on HTML files, but they appear structured in the collection. This is because these HTML files were tagged by hand into sections.</Text>
+<Text id="st-1a">In a browser, visit the Greenstone demo collection<MajorVersion number="3">, <b>Demo Collection (lucene-jdbm-demo)</b>,</MajorVersion> and have a look at it. Browse to one of the documents. This collection is based on HTML files, but they appear structured in the collection. This is because these HTML files were tagged by hand into sections.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2398,10 +2401,10 @@
 <Text id="0418">Now click <AutoText key="glidict::Mirroring.Download" type="button"/>. If you have set proxy information in <AutoText key="glidict::Menu.File_Options"/>, a popup will ask for your user name and password. If you're on Windows Vista or later, Windows may show a popup message asking whether you wish to block or unblock the download. In such a case, choose to unblock. With proxy settings turned on, it may take a short while before GLI starts downloading. Once the download has started, a progress bar appears in the lower half of the panel that reports on how the downloading process is doing.</Text>
 <Comment>
-<Text id="0419">More detailed information can be obtained by clicking <AutoText key="glidict::Mirroring.DownloadJob.Log" type="button"/>. The process can be paused and restarted as needed, or stopped altogether by clicking <AutoText key="glidict::Mirroring.DownloadJob.Close" type="button"/>. Downloading can be a lengthy process involving multiple sites, and so Greenstone allows additional downloads to be queued up. When new URLs are pasted into the <AutoText text="url"/> box and <AutoText key="glidict::Mirroring.Download" type="button"/> clicked, a new progress bar is appended to those already present in the lower half of the panel. When the currently active download item completes, the next is started automatically.</Text>
+<Text id="0419">More detailed information can be obtained by clicking <AutoText key="glidict::Mirroring.DownloadJob.Log" type="button"/>. The process can be stopped altogether by clicking <AutoText key="glidict::Mirroring.DownloadJob.Close" type="button"/>. Downloading can be a lengthy process involving multiple sites, and so Greenstone allows additional downloads to be queued up. When new URLs are pasted into the <AutoText text="url"/> box and <AutoText key="glidict::Mirroring.Download" type="button"/> clicked, a new progress bar is appended to those already present in the lower half of the panel. When the currently active download item completes, the next is started automatically.</Text>
 </Comment>
 </NumberedItem>
 <NumberedItem>
 <Text id="0420">Downloaded files are stored in a top-level folder called <AutoText key="glidict::Tree.DownloadedFiles"/> that appears on the left-hand side of the <AutoText key="glidict::GUI.Gather"/> panel. You may not need all the downloaded files, and you choose which you want by dragging selected files from this folder over into the collection area on the right-hand side, just like we have done before when selecting data from the <Path>sample_files</Path> folder. In this example we will include everything that has been downloaded.</Text>
-<Text id="0421">Select the <Path>englishhistory.net</Path> folder within <AutoText key="glidict::Tree.DownloadedFiles"/> and drag it across into the collection area.</Text>
+<Text id="0421">Select the <Path>englishhistory.net</Path> folder within <AutoText key="glidict::Tree.DownloadedFiles"/> and drag it across into the collection area. Once you've dropped the folder into the collection area, you may see popup dialogs, one for each file extension that is not recognised by GLI. Either keep clicking <AutoText key="glidict::General.OK" type="button"/> to confirm for each unrecognised filetype, or, in the popup, you can tick the checkbox to not see the same message again.</Text>
 </NumberedItem>
 <NumberedItem>